Skip to main content
GET
Oauth2 Callback Handler

Query Parameters

provider
enum<string>
required

Provider to initiate SSO with

Available options:
PASSWORD,
GOOGLE,
TENANT
code
string | null

Authorization code from provider

state
string | null

State parameter for CSRF protection

error
string | null

Error code if authorization failed

error_description
string | null

Error description

tenant_id
string<uuid> | null

Tenant ID to initiate SSO with

Response

Successful Response

id
string<uuid>
required

User ID

email
string | null
required

Email address of the user

first_name
string | null
required

First name of the user

last_name
string | null
required

Last name of the user

idp_type
enum<string>
required

Identity provider type of the user

Available options:
PASSWORD,
GOOGLE,
TENANT
current_tenant_id
string<uuid>
required

Current tenant ID the user is logged into

current_tenant_role
enum<string>
required

Current tenant role of the user

Available options:
USER,
OWNER,
ADMIN
default_tenant_id
string<uuid>
required

Default tenant ID the user shall be logged into